CREATE TABLE JCL_ORG_SCHEME (
   ID SERIAL NOT NULL,
   SCHEME_NO VARCHAR(100) NULL,
   SCHEME_NAME VARCHAR(100) NULL,
   SCHEME_DESCRIPTION VARCHAR(1000) NULL,
   FORBIDDEN_TAG INT NULL,
   IS_USED INT NULL,
   CREATOR INT NULL,
   DELETE_TYPE INT NULL,
   CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   PRIMARY KEY (ID)
);
/


CREATE TABLE JCL_ORG_LEVEL (
   ID SERIAL NOT NULL,
   LEVEL_NO VARCHAR(100) NULL,
   LEVEL_NAME VARCHAR(100) NULL,
   DESCRIPTION VARCHAR(1000) NULL,
   SCHEME_ID INT NULL,
   FORBIDDEN_TAG INT NULL,
   IS_USED INT NULL,
   CREATOR INT NULL,
   DELETE_TYPE INT NULL,
   CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   PRIMARY KEY (ID)
);
/


CREATE TABLE JCL_ORG_GRADE (
   ID SERIAL NOT NULL,
   GRADE_NO VARCHAR(100) NULL,
   GRADE_NAME VARCHAR(100) NULL,
   DESCRIPTION VARCHAR(1000) NULL,
   SCHEME_ID INT NULL,
   LEVEL_ID VARCHAR(4000) NULL,
   FORBIDDEN_TAG INT NULL,
   IS_USED INT NULL,
   CREATOR INT NULL,
   DELETE_TYPE INT NULL,
   CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   PRIMARY KEY (ID)
);
/


CREATE TABLE JCL_ORG_SEQUENCE (
	ID SERIAL NOT NULL,
	SEQUENCE_NO VARCHAR(100) NULL,
	SEQUENCE_NAME VARCHAR(100) NULL,
	DESCRIPTION VARCHAR(1000) NULL,
	SCHEME_ID INT NULL,
	FORBIDDEN_TAG INT NULL,
	IS_USED INT NULL,
	CREATOR INT NULL,
	DELETE_TYPE INT NULL,
	CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
	UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
	PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_POST (
	      ID SERIAL NOT NULL,
	      POST_NO VARCHAR(100) NULL,
	      POST_NAME VARCHAR(100) NULL,
	      DESCRIPTION VARCHAR(1000) NULL,
	      IS_USED INT NULL,
	      CREATOR INT NULL,
	      DELETE_TYPE INT NULL,
	      CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
	      UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
	      PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_POST_INFO (
      ID SERIAL NOT NULL,
      POST_INFO_NO VARCHAR(100) NULL,
      POST_INFO_NAME VARCHAR(100) NULL,
      POST_INFO_AUTHORITY VARCHAR(1000) NULL,
      POST_INFO_DUTY VARCHAR(1000) NULL,
      POST_INFO_QUALIFICATION VARCHAR(1000) NULL,
      POST_ID INT NULL,
      DESCRIPTION VARCHAR(1000) NULL,
      FORBIDDEN_TAG INT NULL,
      IS_USED INT NULL,
      CREATOR INT NULL,
      DELETE_TYPE INT NULL,
      CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
      UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
      PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_COMP (
	      ID SERIAL NOT NULL,
	      COMP_NO VARCHAR(100) NULL,
	      COMP_NAME VARCHAR(100) NULL,
	      COMP_NAME_SHORT VARCHAR(100) NULL,
	      PARENT_COMPANY INT NULL,
          EC_COMPANY INT NULL,
	      ORG_CODE VARCHAR(100) NULL,
	      INDUSTRY INT NULL,
	      COMP_PRINCIPAL INT NULL,
	      DESCRIPTION VARCHAR(1000) NULL,
	      FORBIDDEN_TAG INT NULL,
	      SHOW_ORDER INT NULL,
	      IS_USED INT NULL,
	      CREATOR INT NULL,
	      DELETE_TYPE INT NULL,
	      CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
	      UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
	      UUID VARCHAR(100) NULL,
	      PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_FIELD_EXTENDGROUP (
          ID SERIAL NOT NULL,
          PID INT NULL,
          EXTEND_TYPE INT NULL,
          GROUP_NAME VARCHAR(100) NULL,
          SHOW_ORDER INT NULL,
          IS_SHOW VARCHAR(100) NULL,
          IS_SYSTEM_DEFAULT INT NULL,
          CREATOR INT NULL,
          DELETE_TYPE INT NULL,
          CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
          UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
          PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_FIELD_EXTENDTITLE (
          ID SERIAL NOT NULL,
          GROUP_ID INT NULL,
          TITLE VARCHAR(100) NULL,
          SHOW_ORDER INT NULL,
          IS_SHOW INT NULL,
          IS_SYSTEM_DEFAULT INT NULL,
          CREATOR INT NULL,
          DELETE_TYPE INT NULL,
          CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
          UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
          PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_FIELD_EXTENDINFO (
         ID SERIAL NOT NULL,
         EXTEND_TYPE INT NULL,
         TABLE_NAME VARCHAR(100) NULL,
         FIELD_NAME VARCHAR(100) NULL,
         FIELD_NAME_DESC VARCHAR(100) NULL,
         FIELD_TYPE VARCHAR(1000) NULL,
         CONTROL_TYPE INT NULL,
         CUSTOM_VALUE VARCHAR(1000) NULL,
         BROWSER_TYPE VARCHAR(100) NULL,
         EXTEND_GROUP_ID INT NULL,
         ISENABLE INT NULL,
         ISREQUIRED INT NULL,
         LIST_SHOW INT NULL,
         SEARCH_SHOW INT NULL,
         EDIT_SHOW INT NULL,
         ADD_SHOW INT NULL,
         BROWSER_SHOW INT NULL,
         SHOW_ORDER INT NULL,
         IS_SYSTEM_DEFAULT INT NULL,
         CREATOR INT NULL,
         DELETE_TYPE INT NULL,
         CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
         UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
         PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_COMPEXT (
    ID SERIAL NOT NULL,
    CREATOR INT NULL,
    DELETE_TYPE INT NULL,
    CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
    UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
    PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_COMPEXT_DT1 (
        ID SERIAL NOT NULL,
        MAINID INT NULL,
        CREATOR INT NULL,
        DELETE_TYPE INT NULL,
        CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
        UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
        PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_DEPT (
	      ID SERIAL NOT NULL,
	      DEPT_NO VARCHAR(100) NULL,
	      DEPT_NAME VARCHAR(100) NULL,
	      DEPT_NAME_SHORT VARCHAR(100) NULL,
	      PARENT_COMP INT NULL,
          EC_COMPANY INT NULL,
	      PARENT_DEPT INT NULL,
          EC_DEPARTMENT INT NULL,
	      DEPT_PRINCIPAL INT NULL,
	      SHOW_ORDER INT NULL,
	      DESCRIPTION VARCHAR(1000) NULL,
	      FORBIDDEN_TAG INT NULL,
	      IS_USED INT NULL,
	      CREATOR INT NULL,
	      DELETE_TYPE INT NULL,
	      CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
	      UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
	      UUID VARCHAR(100) NULL,
	      PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_DEPTEXT (
    ID SERIAL NOT NULL,
    CREATOR INT NULL,
    DELETE_TYPE INT NULL,
    CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
    UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
    PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_DEPTEXT_DT1 (
        ID SERIAL NOT NULL,
        MAINID INT NULL,
        CREATOR INT NULL,
        DELETE_TYPE INT NULL,
        CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
        UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
        PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_JOB (
	     ID SERIAL NOT NULL,
	     JOB_NO VARCHAR(100) NULL,
	     JOB_NAME VARCHAR(100) NULL,
	     PARENT_COMP INT NULL,
	     EC_COMPANY INT NULL,
	     PARENT_DEPT INT NULL,
	     EC_DEPARTMENT INT NULL,
	     SEQUENCE_ID INT NULL,
	     SCHEME_ID INT NULL,
	     PARENT_JOB INT NULL,
	     IS_KEY INT NULL,
	     WORKPLACE VARCHAR(100) NULL,
	     DESCRIPTION VARCHAR(1000) NULL,
	     WORK_DUTY VARCHAR(1000) NULL,
	     WORK_AUTHORITY VARCHAR(1000) NULL,
	     FORBIDDEN_TAG INT NULL,
	     SHOW_ORDER INT NULL,
         GRADE_ID VARCHAR(100) NULL,
         LEVEL_ID VARCHAR(4000) NULL,
	     IS_USED INT NULL,
	     CREATOR INT NULL,
	     DELETE_TYPE INT NULL,
	     CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
	     UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
	     PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_JOBDT (
   ID SERIAL NOT NULL,
   MAINID INT NULL,
   LEVEL_ID VARCHAR(100) NULL,
   GRADE_ID VARCHAR(100) NULL,
   LEVEL_ID_SPAN VARCHAR(1000) NULL,
   GRADE_ID_SPAN VARCHAR(1000) NULL,
   CREATOR INT NULL,
   DELETE_TYPE INT NULL,
   CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_JOBEXT (
   ID SERIAL NOT NULL,
   CREATOR INT NULL,
   DELETE_TYPE INT NULL,
   CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_JOBEXT_DT1 (
       ID SERIAL NOT NULL,
       MAINID INT NULL,
       CREATOR INT NULL,
       DELETE_TYPE INT NULL,
       CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
       UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
       POST_ID VARCHAR(100) NULL,
       POST_INFO_ID VARCHAR(100) NULL,
       POST_IDSPAN VARCHAR(1000) NULL,
       POST_INFO_IDSPAN VARCHAR(1000) NULL,
       PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_HRMRESOURCE (
        ID SERIAL NOT NULL,
        WORK_CODE VARCHAR(60) NULL,
        LOGIN_ID VARCHAR(60) NULL,
        LAST_NAME VARCHAR(60) NULL,
        SEX INT NULL,
        ACCOUNT_TYPE INT NULL,
        BELONG_TO INT NULL,
        COMPANY_ID INT NULL,
        DEPARTMENT_ID INT NULL,
        JOB_ACTIVITY INT NULL,
        JOB_TITLE INT NULL,
        JOB_CALL INT NULL,
        JOB_LEVEL INT NULL,
        JOB_GROUP_ID INT NULL,
        JOB_ACTIVITY_DESC VARCHAR(200) NULL,
        STATUS INT NULL,
        SYSTEM_LANGUAGE INT NULL,
        RESOURCE_IMAGE_ID VARCHAR(1000) NULL,
        MESSAGER_URL VARCHAR(1000) NULL,
        LOCATION_ID INT NULL,
        MANAGER_ID INT NULL,
        ASSISTANT_ID INT NULL,
        MOBILE VARCHAR(60) NULL,
        TELEPHONE VARCHAR(60) NULL,
        MOBILE_CALL VARCHAR(60) NULL,
        FAX VARCHAR(60) NULL,
        EMAIL VARCHAR(60) NULL,
        WORKROOM VARCHAR(60) NULL,
        PASS_WORD VARCHAR(100) NULL,
        SEC_LEVEL INT NULL,
        BIRTHDAY CHAR(10) NULL,
        FOLK VARCHAR(30) NULL,
        NATIVE_PLACE VARCHAR(100) NULL,
        REG_RESIDENT_PLACE VARCHAR(200) NULL,
        CERTIFICATE_NUM VARCHAR(60) NULL,
        MARITAL_STATUS CHAR(1) NULL,
        POLICY VARCHAR(30) NULL,
        BE_MEMBER_DATE CHAR(10) NULL,
        BE_PARTY_DATE CHAR(10) NULL,
        ISLABOUUNION CHAR(1) NULL,
        DEGREE VARCHAR(30) NULL,
        HEALTH_INFO CHAR(1) NULL,
        EDUCATION_LEVEL INT NULL,
        HEIGHT VARCHAR(10) NULL,
        WEIGHT INT NULL,
        USE_KIND INT NULL,
        START_DATE CHAR(10) NULL,
        END_DATE CHAR(10) NULL,
        PROBATION_END_DATE CHAR(10) NULL,
        RESIDENT_PLACE VARCHAR(200) NULL,
        HOME_ADDRESS VARCHAR(100) NULL,
        TEMP_RESIDENT_NUMBER VARCHAR(60) NULL,
        COMPANY_START_DATE VARCHAR(10) NULL,
        WORK_START_DATE VARCHAR(10) NULL,
        ACCUM_FUND_ACCOUNT VARCHAR(30) NULL,
        ACCOUNT_NAME VARCHAR(200) NULL,
        BANK_ID INT NULL,
        ACCOUNT_ID VARCHAR(100) NULL,
        SHOW_ORDER INT NULL,
        CLASSIFICATION CHAR(1) NULL,
        COMPANY_WORK_YEAR DECIMAL(10,2) NULL,
        WORK_YEAR DECIMAL(10,2) NULL,
        CREATOR INT NULL,
        DELETE_TYPE INT NULL,
        CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
        UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
        PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_HRMRESOURCEEXT (
           ID SERIAL NOT NULL,
           CREATOR INT NULL,
           DELETE_TYPE INT NULL,
           CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
           UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
           PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_HRMRESOURCEEXT_DT1 (
               ID SERIAL NOT NULL,
               MAINID INT NULL,
               CREATOR INT NULL,
               DELETE_TYPE INT NULL,
               CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
               UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
               PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_STAFFPLAN (
      ID SERIAL NOT NULL,
      PLAN_NO VARCHAR(100) NULL,
      PLAN_NAME VARCHAR(100) NULL,
      PLAN_YEAR VARCHAR(100) NULL,
      TIME_START TIMESTAMP WITHOUT TIME ZONE NULL,
      TIME_END TIMESTAMP WITHOUT TIME ZONE NULL,
      COMPANY_ID VARCHAR(4000) NULL,
      EC_COMPANY VARCHAR(4000) NULL,
      CONTROL_DIMENSION VARCHAR(5) NULL,
      DESCRIPTION VARCHAR(1000) NULL,
      FORBIDDEN_TAG INT NULL,
      IS_USED INT NULL,
      CREATOR INT NULL,
      DELETE_TYPE INT NULL,
      CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
      UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
      PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_STAFF (
   ID SERIAL NOT NULL,
   PLAN_ID INT NULL,
   COMP_ID INT NULL,
   EC_COMPANY INT NULL,
   DEPT_ID INT NULL,
   EC_DEPARTMENT INT NULL,
   JOB_ID INT NULL,
   STAFF_NUM INT NULL,
   CONTROL_POLICY INT NULL,
   PERMANENT_NUM INT NULL,
   FREEZE_NUM INT NULL,
   LACK_STATUS INT NULL,
   STAFF_DESC VARCHAR(100) NULL,
   DESCRIPTION VARCHAR(1000) NULL,
   IS_USED INT NULL,
   CREATOR INT NULL,
   DELETE_TYPE INT NULL,
   CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_STAFFS (
   ID SERIAL NOT NULL,
   STAFF_ID INT NULL,
   BUSINESS_TYPE INT NULL,
   CHANGE_NUM INT NULL,
   BUSINESS_SOURCE INT NULL,
   REQUESTID INT NULL,
   DESCRIPTION VARCHAR(200) NULL,
   CREATOR INT NULL,
   DELETE_TYPE INT NULL,
   CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
   PRIMARY KEY (ID)
);
/

CREATE TABLE HR_LOG (
	ID SERIAL NOT NULL,
	OPERATE_DESC VARCHAR(100) NULL,
	OPERATOR_ID INT NULL,
	OPERATOR_NAME VARCHAR(100) NULL,
	CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
	OPERATE_TYPE INT NULL,
	PARAMS_STR VARCHAR(2000) NULL,
	CLIENT_IP VARCHAR(100) NULL,
	METHOD_NAME VARCHAR(100) NULL,
	DELETE_TYPE INT NULL,
	CLASS_NAME VARCHAR(100) NULL,
	OPERATE_MODULE_NAME VARCHAR(100) NULL,
	OPERATE_MODULE INT NULL,
	MESSAGE VARCHAR(2000) NULL,
	VALUE VARCHAR(100) NULL,
	PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_HRMRELATION (
        ID SERIAL NOT NULL,
        SCHEME_ID INT NULL,
        LEVEL_ID VARCHAR(100) NULL,
        GRADE_ID INT NULL,
        SEQUENCE_ID INT NULL,
        POST_ID INT NULL,
        POST_INFO_ID INT NULL,
        COMPANY_ID INT NULL,
        DEPARTMENT_ID INT NULL,
        JOB_ID INT NULL,
        CREATOR INT NULL,
        DELETE_TYPE INT NULL,
        CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
        UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
        PRIMARY KEY (ID)
);
/

CREATE TABLE JCL_ORG_MAP (
	     FID SERIAL NOT NULL,
	     ID INT NOT NULL,
	     FTYPE INT NULL,
	     FOBJID INT NULL,
	     FECID INT NULL,
	     UUID VARCHAR(100) NULL,
	     FCLASS INT NULL,
	     FCLASSNAME VARCHAR(100) NULL,
	     FNUMBER VARCHAR(100) NULL,
	     FNAME VARCHAR(255) NULL,
	     FLEADER INT NULL,
	     FLEADERIMG VARCHAR(100) NULL,
	     FLEADERNAME VARCHAR(100) NULL,
	     FLEADERJOBID INT NULL,
	     FLEADERJOB VARCHAR(255) NULL,
	     FLEADERLV VARCHAR(100) NULL,
	     FLEADERST VARCHAR(100) NULL,
	     FPARENTID INT NULL,
	     FOBJPARENTID INT NULL,
	     FPLAN INT NULL,
	     FONJOB INT NULL,
	     FISVITUAL INT NULL,
	     FDATEBEGIN TIMESTAMP WITHOUT TIME ZONE NULL,
	     FDATEEND TIMESTAMP WITHOUT TIME ZONE NULL,
	     CREATOR INT NULL,
	     DELETE_TYPE INT NULL,
	     CREATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
	     UPDATE_TIME TIMESTAMP WITHOUT TIME ZONE NULL,
	     PRIMARY KEY (FID)
);
/

CREATE TABLE JCL_IMPORT_HISTORY (
       ID SERIAL NOT NULL,
       OPERATOR INT NOT NULL,
       OPERATE_TIME VARCHAR(800) DEFAULT NULL,
       CLIENT_ADDRESS VARCHAR(800) DEFAULT NULL,
       IMPORT_TYPE VARCHAR(400) DEFAULT NULL,
       SOURCE_FROM VARCHAR(400) DEFAULT NULL,
       OPERATE_TYPE VARCHAR(400) DEFAULT NULL,
       STATUS VARCHAR(800) DEFAULT NULL,
       PRIMARY KEY (ID)
);
/

create table JCL_IMPORT_HISTORY_DETAIL (
      ID SERIAL not null ,
      PID INT not null,
      ROW_NUMS VARCHAR(800) default null,
      STATUS VARCHAR(80) default null,
      OPERATE_DETAIL VARCHAR(1000) default null,
      RELATED_NAME VARCHAR(1000) default null,
      primary key (ID)
);
/

CREATE TABLE JCL_INFO (
	  ID SERIAL NOT NULL,
	  FNAME VARCHAR(100) DEFAULT NULL,
	  FVALUE VARCHAR(100) DEFAULT NULL,
	  PRIMARY KEY (ID)
);

/
INSERT INTO jcl_field_extendgroup (extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (1, '基本信息', 1, 0, now(), NULL, NULL, '1', 1, 0);
/
INSERT INTO jcl_field_extendgroup (extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (2, '基本信息', 1, 0, now(), NULL, NULL, '1', 1, 0);
/
INSERT INTO jcl_field_extendgroup (extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (3, '基础信息', 1, 0, now(), NULL, NULL, '1', 1, 0);
/
INSERT INTO jcl_field_extendtitle (group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (3, '基本信息', 1, 0, now(), NULL, 1, 1, 0);
/
INSERT INTO jcl_field_extendtitle (group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (3, '职责信息', 1, 0, now(), NULL, 3, 1, 0);
/
INSERT INTO jcl_field_extendinfo (extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(3, 'JCL_ORG_JOB', 'job_no', '编号', 'varchar(100)', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
/
INSERT INTO jcl_field_extendinfo (extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(3, 'JCL_ORG_JOB', 'description', '工作概述', 'text', 2, 2, 1, 0, 1, 1, 1, 0, 1, 1, 1, 0, now(), NULL, NULL, '["textarea","",""]', 0);
/
INSERT INTO jcl_field_extendinfo (extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(3, 'JCL_ORG_JOB', 'job_name', '名称', 'varchar(100)', 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
/
INSERT INTO jcl_field_extendinfo (extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(3, 'JCL_ORG_JOB', 'work_duty', '任职职责', 'text', 2, 2, 1, 0, 1, 1, 1, 0, 1, 2, 1, 0, now(), NULL, NULL, '["textarea","",""]', 0);
/
INSERT INTO jcl_field_extendinfo (extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(3, 'JCL_ORG_JOB', 'ec_department', '所属部门', 'int', 3, 1, 1, 1, 1, 1, 1, 1, 1, 3, 1, 0, now(), NULL, '4', '["browser",{"valueSpan":"部门","replaceDatas":[{"name":"部门","id":"4"}],"value":"4"}]', 0);
/
INSERT INTO jcl_field_extendinfo (extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(3, 'JCL_ORG_JOB', 'work_authority', '工作权限', 'text', 2, 2, 1, 0, 1, 1, 1, 0, 1, 3, 1, 0, now(), NULL, NULL, '["textarea","",""]', 0);
/
INSERT INTO jcl_field_extendinfo (extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(3, 'JCL_ORG_JOB', 'ec_company', '所属分部', 'int', 3, 1, 1, 1, 1, 0, 0, 0, 1, 4, 1, 0, now(), NULL, '164', '["browser",{"valueSpan":"分部","replaceDatas":[{"name":"分部","id":"164"}],"value":"164"}]', 0);
/
INSERT INTO jcl_field_extendinfo (extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(3, 'JCL_ORG_JOB', 'is_key', '是否关键岗', 'int', 5, 1, 1, 0, 1, 1, 1, 1, 1, 6, 1, 0, now(), NULL, NULL, '["select","select",{"datas":[{"default":"","unuse":"0","id":"0","key":"0","option":"否"},{"default":"","unuse":"0","id":"1","key":"1","option":"是"}],"sort":"horizontal"}]', 0);
/
INSERT INTO jcl_field_extendinfo (extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(3, 'JCL_ORG_JOB', 'workplace', '工作地点', 'varchar(100)', 1, 1, 1, 0, 1, 1, 1, 0, 1, 7, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
/
INSERT INTO jcl_field_extendinfo (extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(3, 'JCL_ORG_JOB', 'forbidden_tag', '禁用标记', 'int', 5, 1, 1, 0, 1, 1, 0, 0, 1, 8, 1, 0, now(), NULL, NULL, '["select","select",{"datas":[{"default":"","unuse":"0","id":"0","key":"0","option":"启用"},{"default":"","unuse":"0","id":"1","key":"1","option":"禁用"}],"sort":"horizontal"}]', 0);
/
INSERT INTO jcl_field_extendinfo (extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(3, 'JCL_ORG_JOB', 'show_order', '显示顺序', 'int', 1, 1, 1, 0, 1, NULL, 1, 1, 1, 9, 1, 0, now(), NULL, '2', '["input","int"]', 0);
/
INSERT INTO jcl_field_extendinfo (extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(3, 'JCL_ORG_JOB', 'parent_comp', '所属分部', 'int', 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, now(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"compBrowser","valueSpan":"公司分部浏览按钮","replaceDatas":[{"showname":"compBrowser","shownamespan":"compBrowser","namespan":"公司分部浏览按钮","name":"公司分部浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","randomFieldId":"compBrowser","id":"compBrowser"}]}]', 0);
/
INSERT INTO jcl_field_extendinfo (extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(3, 'JCL_ORG_JOB', 'parent_dept', '上级部门', 'int', 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, now(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"部门浏览按钮","replaceDatas":[{"showname":"deptBrowser","shownamespan":"deptBrowser","namespan":"部门浏览按钮","name":"部门浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","id":"deptBrowser","randomFieldId":"deptBrowser"}],"value":"deptBrowser"}]', 0);
/